RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
interior_loops.h File Reference
Processing and Evaluating Decomposed Loops

Energy evaluation of interior loops for MFE and partition function calculations. More...

Include dependency graph for interior_loops.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
PRIVATE int | E_IntLoop (int n1, int n2, int type, int type_2, int si1, int sj1, int sp1, int sq1, vrna_param_t *P)
PRIVATE FLT_OR_DBL | exp_E_IntLoop (int u1, int u2, int type, int type2, short si1, short sj1, short sp1, short sq1, vrna_exp_param_t *P)
int | E_stack (int i, int j, vrna_fold_compound_t *vc)
| Evaluate energy of a base pair stack closed by (i,j)
int | vrna_BT_stack (vrna_fold_compound_t *vc, int *i, int *j, int *en, vrna_bp_stack_t *bp_stack, int *stack_count)
| Backtrack a stacked pair closed by .
int | vrna_BT_int_loop (vrna_fold_compound_t *vc, int *i, int *j, int en, vrna_bp_stack_t *bp_stack, int *stack_count)
| Backtrack an interior loop closed by .

## Detailed Description

Energy evaluation of interior loops for MFE and partition function calculations.